#==============================================================================
#  PANDA_SpeakerWindow
#------------------------------------------------------------------------------
#  Version    1.0.1
#  Modified   2011-01-26
#  By         panda (werepanda.jp) http://www.werepanda.jp/
#------------------------------------------------------------------------------
# Zt̘b̖O\EBhEɊւXNvgfނłB
# OtBbNt͕̕\̍ۂɓAN^[̖ObƂĕ\܂B
#==============================================================================

#----------------------------------------------------------------------------
#  萔
#----------------------------------------------------------------------------

# Zt̘b̖Ow肷AN^[̔ԍ
PANDA_SPEAKER_ACTOR = 5

class Window_Message < Window_Selectable
  #--------------------------------------------------------------------------
  #  IuWFNgiǉ`j
  #--------------------------------------------------------------------------
  alias _panda_speakerwindow_initialize initialize
  def initialize
    _panda_speakerwindow_initialize
    create_speaker_window
  end
  #--------------------------------------------------------------------------
  #  iǉ`j
  #--------------------------------------------------------------------------
  alias _panda_speakerwindow_dispose dispose
  def dispose
    _panda_speakerwindow_dispose
    dispose_speaker_window
  end
  #--------------------------------------------------------------------------
  #  t[XViǉ`j
  #--------------------------------------------------------------------------
  alias _panda_speakerwindow_update update
  def update
    update_speaker_window                   # bEBhE̍XV
    _panda_speakerwindow_update
  end
  #--------------------------------------------------------------------------
  #  bEBhE̍쐬iVK`j
  #--------------------------------------------------------------------------
  def create_speaker_window
    @speaker_window = Window_Speaker.new(0, 0)
    @speaker_window.openness = 0
  end
  #--------------------------------------------------------------------------
  #  bEBhẺiVK`j
  #--------------------------------------------------------------------------
  def dispose_speaker_window
    @speaker_window.dispose
  end
  #--------------------------------------------------------------------------
  #  bEBhE̍XViVK`j
  #--------------------------------------------------------------------------
  def update_speaker_window
    @speaker_window.update
  end
  #--------------------------------------------------------------------------
  #  y[Wiǉ`j
  #--------------------------------------------------------------------------
  alias _panda_speakerwindow_new_page new_page
  def new_page
    _panda_speakerwindow_new_page
    unless $game_message.face_name.empty?
      @speaker_window.refresh                 # bEBhE̍XV
      @speaker_window.open
    end
  end
  #--------------------------------------------------------------------------
  #  EBhE̔wiƈʒu̐ݒiǉ`j
  #--------------------------------------------------------------------------
  alias _panda_speakerwindow_reset_window reset_window
  def reset_window
    _panda_speakerwindow_reset_window
    case @position
    when 0  # 
      @speaker_window.y = 128
    when 1  # 
      @speaker_window.y = 112 - WLH
    when 2  # 
      @speaker_window.y = 256 - WLH
    end
  end
  #--------------------------------------------------------------------------
  #  bZ[W̏Iiǉ`j
  #--------------------------------------------------------------------------
  alias _panda_speakerwindow_terminate_message terminate_message
  def terminate_message
    @speaker_window.close                     # bEBhE遦
    _panda_speakerwindow_terminate_message
  end
end

#==============================================================================
#  Window_SpeakeriVK`j
#------------------------------------------------------------------------------
# @bZ[W̘b̖O\EBhEłB
#==============================================================================

class Window_Speaker < Window_Base
  #--------------------------------------------------------------------------
  #  IuWFNg
  #     x : EBhE X W
  #     y : EBhE Y W
  #--------------------------------------------------------------------------
  def initialize(x, y)
    super(x, y, 180, WLH + 32)
    refresh
  end
  #--------------------------------------------------------------------------
  #  tbV
  #--------------------------------------------------------------------------
  def refresh
    self.contents.clear
    self.contents.font.color = normal_color()
    self.contents.draw_text(0, 0, 128, WLH, $game_actors[PANDA_SPEAKER_ACTOR].name)
  end
end
